Index: x11-toolkits/gtkada3/Makefile
===================================================================
--- x11-toolkits/gtkada3/Makefile	(revision 416664)
+++ x11-toolkits/gtkada3/Makefile	(working copy)
@@ -2,12 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	gtkada
-PORTVERSION=	3.8.3.2
-PORTREVISION=	2
+PORTVERSION=	3.14.2
 CATEGORIES=	x11-toolkits
-MASTER_SITES=	http://downloads.dragonlace.net/src/
 PKGNAMESUFFIX=	3
-DISTFILES=	gtkada-for-gps-6.1.1-src.tar.gz
 
 MAINTAINER=	marino@FreeBSD.org
 COMMENT=	Ada graphical toolkit based on Gtk3 components
@@ -15,19 +12,36 @@
 LICENSE=	GPLv3
 
 BUILD_DEPENDS=	gprbuild:devel/gprbuild
+LIB_DEPENDS=	libfreetype.so:print/freetype2 \
+		libfontconfig.so:x11-fonts/fontconfig \
+		libharfbuzz.so:print/harfbuzz \
+		libdrm.so:graphics/libdrm \
+		libglapi.so:graphics/libglapi \
+		libatk-bridge-2.0.so:accessibility/at-spi2-atk \
+		libepoxy.so:graphics/libepoxy \
+		libpng16.so:graphics/png \
+		libffi.so:devel/libffi \
+		libpcre.so:devel/pcre \
+		libexpat.so:textproc/expat2 \
+		libatspi.so:accessibility/at-spi2-core \
+		libgraphite2.so:graphics/graphite2 \
+		libdbus-1.so:devel/dbus
 
-USES=		ada gmake perl5 pkgconfig
+USES=		ada:run gmake iconv:wchar_t perl5 pkgconfig
 USE_PERL5=	build
-USE_GNOME=	gtk30
-USE_GL=		gl glu
+USE_GNOME=	gtk30 cairo gdkpixbuf2
+USE_XORG=	ice sm xxf86vm xcb xdmcp xau x11 pixman xfixes xdamage \
+		xcomposite xi xext xcursor xrandr xinerama xrender
+USE_GL=		gl egl gbm glu
+USE_GITHUB=	yes
+GH_ACCOUNT=	AdaCore
+GH_PROJECT=	gtkada
+GH_TAGNAME=	1688bb8
+
 GNU_CONFIGURE=	yes
 ALL_TARGET=	tools static relocatable
-NO_MTREE=	yes
-WRKSRC=		${WRKDIR}/gtkada-gpl-2015-src
-PORTDOCS=	gtkada_rm gtkada_ug
-PORTEXAMPLES=	testgtk
-RM_VERSION=	3.8.3.0
-LDFLAGS=	-L${LOCALBASE}/lib
+PORTDOCS=	gtkada_ug
+LDFLAGS+=	-L${LOCALBASE}/lib
 
 MAKE_ARGS=	PROCESSORS=${MAKE_JOBS_NUMBER}
 
@@ -34,30 +48,19 @@
 CONFLICTS_INSTALL=	gtkada-*
 
 CONFIGURE_ARGS+=	--with-GL=auto \
+			--with-GL-prefix=${PREFIX} \
 			--enable-shared \
 			--enable-static
 
-OPTIONS_DEFINE=		DOCS NLS EXAMPLES DEBUG
+OPTIONS_DEFINE=		DOCS NLS DEBUG
+
 DOCS_BUILD_DEPENDS=	sphinx-build:textproc/py-sphinx
-DOCS_DISTFILES=		gtkada-rm-${RM_VERSION}.tar.bz2
 DOCS_ALL_TARGET=	docs
 NLS_CONFIGURE_ENABLE=	nls
 NLS_USES=		gettext
-EXAMPLES_ALL_TARGET=	tests
+DEBUG_CONFIGURE_ON=	--enable-build=Debug
+DEBUG_CONFIGURE_OFF=	--enable-build=Production
 
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MDEBUG}
-CONFIGURE_ARGS+=	--enable-build=Debug
-.else
-CONFIGURE_ARGS+=	--enable-build=Production
-.endif
-
-post-extract:
-.if ${PORT_OPTIONS:MDOCS}
-	${MV} ${WRKDIR}/gtkada-${RM_VERSION}/docs/* ${WRKSRC}/docs/
-.endif
-
 do-build:
 #	This target is recreated because -j cannot be set, but
 #	MAKE_JOBS_SAFE=yes is needed for PROCESSORS value
@@ -65,13 +68,7 @@
 		${SETENV} ${MAKE_ENV} ${MAKE_CMD} ${MAKE_ARGS} ${ALL_TARGET}
 
 post-install:
-	@${MKDIR} ${STAGEDIR}${PREFIX}/libdata
-	${MV} ${STAGEDIR}${PREFIX}/lib/pkgconfig ${STAGEDIR}${PREFIX}/libdata/
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/gtkada-dialog
 	${RM} -r ${STAGEDIR}${PREFIX}/share/doc/gtkada/gtkada_ug/_sources
-	${RM} ${STAGEDIR}${PREFIX}/lib/libgtkada*
-	(cd ${STAGEDIR}${PREFIX}/lib && \
-	  ${LN} -s gtkada/relocatable/libgtkada.so.3.8.3 libgtkada.so && \
-	  ${LN} -s gtkada/relocatable/libgtkada_gl.so.3.8.3 libgtkada_gl.so)
-	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/gtkada/relocatable/lib*.so.3.8.3
 
 .include <bsd.port.mk>
Index: x11-toolkits/gtkada3/distinfo
===================================================================
--- x11-toolkits/gtkada3/distinfo	(revision 416664)
+++ x11-toolkits/gtkada3/distinfo	(working copy)
@@ -1,4 +1,3 @@
-SHA256 (gtkada-for-gps-6.1.1-src.tar.gz) = 5b7b777bb2f79ca276cf0d4778e21b77462c7066ea52fdf957b482d4699d58b0
-SIZE (gtkada-for-gps-6.1.1-src.tar.gz) = 11298808
-SHA256 (gtkada-rm-3.8.3.0.tar.bz2) = 445ed11620108a80ba76787b073f1c7b8931786bebaacc5c07710a35acac0991
-SIZE (gtkada-rm-3.8.3.0.tar.bz2) = 3368348
+TIMESTAMP = 1465560208
+SHA256 (AdaCore-gtkada-3.14.2-1688bb8_GH0.tar.gz) = d7876bf5618189d4c318f7f8044a80286c3edf57f77adc2c96be645cafdb2212
+SIZE (AdaCore-gtkada-3.14.2-1688bb8_GH0.tar.gz) = 5353366
Index: x11-toolkits/gtkada3/files/patch-configure
===================================================================
--- x11-toolkits/gtkada3/files/patch-configure	(revision 416664)
+++ x11-toolkits/gtkada3/files/patch-configure	(working copy)
@@ -1,6 +1,6 @@
---- configure.orig	2015-06-01 14:38:18 UTC
+--- configure.orig	2016-05-12 07:43:49 UTC
 +++ configure
-@@ -2107,6 +2107,11 @@ fi
+@@ -2105,6 +2105,11 @@ fi
        ac_GNATLIB=`cd $ac_GNATDIR; ls libgnat-*.dll | sed 's,lib,,;s,.dll,,'`
        OS_SPECIFIC_LINK_OPTIONS=-Wl,-L$ac_GNATDIR,-l$ac_GNATLIB
        ;;
@@ -12,9 +12,9 @@
     *darwin*)
        SO_EXT=.dylib
        NEED_OBJECTIVE_C=yes
-@@ -3605,7 +3610,7 @@ $as_echo_n "checking for GTK - version >
+@@ -3551,7 +3556,7 @@ $as_echo_n "checking for GTK - version >
      GTK_CFLAGS=`$PKG_CONFIG $GTK --cflags`
-     GTK_LIBS=`$PKG_CONFIG $GTK gmodule-2.0 --libs`
+     GTK_LIBS=`$PKG_CONFIG $GTK gmodule-2.0 fontconfig --libs`
  
 -            GTK_LIBS="$GTK_LIBS $LDFLAGS"
 +            GTK_LIBS="$GTK_LIBS $LDFLAGS -lm -lX11"
@@ -21,3 +21,19 @@
  
                      ac_save_CFLAGS="$CFLAGS"
      ac_save_LIBS="$LIBS"
+@@ -3668,14 +3673,7 @@ fi
+       GL_CFLAGS=""
+    else
+       GL_CFLAGS="-I$with_GL_prefix/include"
+-      case "${host}" in
+-         *64*)
+-            GL_LDOPTS="-L$with_GL_prefix/lib64"
+-            ;;
+-         *)
+-            GL_LDOPTS="-L$with_GL_prefix/lib"
+-            ;;
+-      esac
++      GL_LDOPTS="-L$with_GL_prefix/lib"
+    fi
+ 
+    saved_LIBS="$LIBS"
Index: x11-toolkits/gtkada3/files/patch-docs_Makefile
===================================================================
--- x11-toolkits/gtkada3/files/patch-docs_Makefile	(nonexistent)
+++ x11-toolkits/gtkada3/files/patch-docs_Makefile	(working copy)
@@ -0,0 +1,11 @@
+--- docs/Makefile.orig	2016-05-12 07:43:49 UTC
++++ docs/Makefile
+@@ -1,7 +1,6 @@
+ 
+ all::
+-	${MAKE} -C gtkada_rm
+-	${MAKE} -C gtkada_ug html latexpdf
++	${MAKE} -C gtkada_ug html
+ 
+ clean::
+ 	${MAKE} -C gtkada_rm clean
Index: x11-toolkits/gtkada3/files/patch-src_opengl_gtkglarea.h
===================================================================
--- x11-toolkits/gtkada3/files/patch-src_opengl_gtkglarea.h	(nonexistent)
+++ x11-toolkits/gtkada3/files/patch-src_opengl_gtkglarea.h	(working copy)
@@ -0,0 +1,22 @@
+--- src/opengl/gtkglarea.h.orig	2016-05-12 07:43:49 UTC
++++ src/opengl/gtkglarea.h
+@@ -21,6 +21,9 @@
+ #ifndef __GTK_GL_AREA_H__
+ #define __GTK_GL_AREA_H__
+ 
++typedef struct _GtkGLArea       GtkGLArea;
++typedef struct _GtkGLAreaClass  GtkGLAreaClass;
++
+ #include <gdk/gdk.h>
+ #include <gdkgl.h>
+ #include <gtk/gtk.h>
+@@ -36,9 +39,6 @@ G_BEGIN_DECLS
+ #define GTK_GL_AREA_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), GTK_TYPE_GL_AREA, GtkGLArea))
+ 
+ 
+-typedef struct _GtkGLArea       GtkGLArea;
+-typedef struct _GtkGLAreaClass  GtkGLAreaClass;
+-
+ 
+ struct _GtkGLArea
+ {
